--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas.c	2015-08-19 07:25:13.162270439 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas.c	2015-08-19 07:25:13.168601827 -0400
@@ -10059,7 +10059,7 @@
 	if (mpt->m_ncmds) {
 		mpt->m_softstate |= MPTSAS_SS_DRAINING;
 		mpt->m_quiesce_timeid = timeout(mptsas_ncmds_checkdrain,
-		    mpt, (MPTSAS_QUIESCE_TIMEOUT * drv_usectohz(1000000)));
+		    mpt, drv_sectohz(MPTSAS_QUIESCE_TIMEOUT));
 		if (cv_wait_sig(&mpt->m_cv, &mpt->m_mutex) == 0) {
 			/*
 			 * Quiesce has been interrupted
@@ -10134,8 +10134,7 @@
 			}
 
 			mpt->m_quiesce_timeid = timeout(mptsas_ncmds_checkdrain,
-			    mpt, (MPTSAS_QUIESCE_TIMEOUT *
-			    drv_usectohz(1000000)));
+			    mpt, drv_sectohz(MPTSAS_QUIESCE_TIMEOUT));
 		}
 	}
 	mutex_exit(&mpt->m_mutex);
@@ -13631,7 +13630,7 @@
 			goto out;
 		}
 		NDBG20(("The GUID is not ready, retry..."));
-		delay(1 * drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		goto inq83_retry;
 	}
 out:
@@ -14930,7 +14929,7 @@
 			 * to retry inquiry page 0x83 and get GUID.
 			 */
 			NDBG20(("Not well formed devid, retry..."));
-			delay(1 * drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			continue;
 		} else {
 			mptsas_log(mpt, CE_WARN, "!Encode devid failed for "
--- old/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas_impl.c	2015-08-19 07:25:13.727044305 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/mpt_sas/mptsas_impl.c	2015-08-19 07:25:13.732493247 -0400
@@ -1403,7 +1403,7 @@
 
 	rvalue = 0;
 	(void) cv_reltimedwait(&mpt->m_fw_cv, &mpt->m_mutex,
-	    drv_usectohz(60 * MICROSEC), TR_CLOCK_TICK);
+	    drv_sectohz(60), TR_CLOCK_TICK);
 	if (!(cmd->cmd_flags & CFLAG_FINISHED)) {
 		mpt->m_softstate &= ~MPTSAS_SS_MSG_UNIT_RESET;
 		if ((mptsas_restart_ioc(mpt)) == DDI_FAILURE) {
--- old/usr/src/uts/common/io/scsi/adapters/scsi_vhci/scsi_vhci.c	2015-08-19 07:25:13.948577092 -0400
+++ new/usr/src/uts/common/io/scsi/adapters/scsi_vhci/scsi_vhci.c	2015-08-19 07:25:13.954222110 -0400
@@ -2628,7 +2628,7 @@
 				if (rval == SCSI_SENSE_NOT_READY) {
 					max_retry = vhci_prout_not_ready_retry;
 					retry = nr_retry++;
-					delay(1*drv_usectohz(1000000));
+					delay(drv_sectohz(1));
 				} else {
 					/* chk for state change and update */
 					if (rval == SCSI_SENSE_STATE_CHANGED) {
@@ -5337,7 +5337,7 @@
 	    "%d cmds pending on path: 0x%p\n", svp->svp_cmds, (void *)pip));
 	while (svp->svp_cmds != 0) {
 		if (cv_reltimedwait(&svp->svp_cv, &svp->svp_mutex,
-		    drv_usectohz(vhci_path_quiesce_timeout * 1000000),
+		    drv_sectohz(vhci_path_quiesce_timeout),
 		    TR_CLOCK_TICK) == -1) {
 			/*
 			 * The timeout time reached without the condition
@@ -5371,7 +5371,7 @@
 				VHCI_DEBUG(1, (CE_NOTE, NULL,
 				    "!vhci_pathinfo_offline (pip:%p):"
 				    "reset failed, retrying\n", (void *)pip));
-				delay(1*drv_usectohz(1000000));
+				delay(drv_sectohz(1));
 				if (vhci_recovery_reset(svp->svp_svl,
 				    &svp->svp_psd->sd_address, TRUE,
 				    VHCI_DEPTH_TARGET) == 0) {
@@ -7511,7 +7511,7 @@
 		mutex_enter(&svp->svp_mutex);
 		while (svp->svp_cmds != 0) {
 			if (cv_reltimedwait(&svp->svp_cv, &svp->svp_mutex,
-			    drv_usectohz(vhci_path_quiesce_timeout * 1000000),
+			    drv_sectohz(vhci_path_quiesce_timeout),
 			    TR_CLOCK_TICK) == -1) {
 				mutex_exit(&svp->svp_mutex);
 				mdi_rele_path(pip);
@@ -8359,7 +8359,7 @@
 		VHCI_DEBUG(1, (CE_NOTE, NULL, "vhci_uscsi_send_sense: "
 		    "transport busy, setting timeout."));
 		vhci_restart_timeid = timeout(vhci_uscsi_restart_sense, rqpkt,
-		    (drv_usectohz(5 * 1000000)));
+		    drv_sectohz(5));
 		break;
 	default:
 		VHCI_DEBUG(1, (CE_NOTE, NULL, "vhci_uscsi_send_sense: "
--- old/usr/src/uts/common/io/scsi/impl/scsi_hba.c	2015-08-19 07:25:14.383426879 -0400
+++ new/usr/src/uts/common/io/scsi/impl/scsi_hba.c	2015-08-19 07:25:14.389827567 -0400
@@ -5708,7 +5708,7 @@
 	scsi_hba_barrier_tran_tgt_free(probe);
 	nb = kmem_alloc(sizeof (struct scsi_hba_barrier), KM_SLEEP);
 	mutex_enter(&scsi_hba_barrier_mutex);
-	endtime = ddi_get_lbolt() + drv_usectohz(seconds * MICROSEC);
+	endtime = ddi_get_lbolt() + drv_sectohz(seconds);
 	for (bp = &scsi_hba_barrier_list; (b = *bp) != NULL;
 	    bp = &b->barrier_next)
 		if (b->barrier_endtime > endtime)
@@ -6211,7 +6211,7 @@
 		mutex_enter(&DEVI(self)->devi_lock);
 		(void) cv_timedwait(&DEVI(self)->devi_cv,
 		    &DEVI(self)->devi_lock,
-		    ddi_get_lbolt() + drv_usectohz(MICROSEC));
+		    ddi_get_lbolt() + drv_sectohz(1));
 		mutex_exit(&DEVI(self)->devi_lock);
 		scsi_hba_devi_enter(self, circp);
 	}
--- old/usr/src/uts/common/io/scsi/impl/scsi_watch.c	2015-08-19 07:25:14.797866431 -0400
+++ new/usr/src/uts/common/io/scsi/impl/scsi_watch.c	2015-08-19 07:25:14.803659992 -0400
@@ -656,7 +656,7 @@
 	struct scsi_watch_request	*swr, *next;
 	clock_t				last_delay = 0;
 	clock_t				next_delay = 0;
-	clock_t				onesec = drv_usectohz(1000000);
+	clock_t				onesec = drv_sectohz(1);
 	clock_t				exit_delay = 60 * onesec;
 
 	SW_DEBUG((dev_info_t *)NULL, sw_label, SCSI_DEBUG,
--- old/usr/src/uts/common/io/scsi/targets/sd.c	2015-08-19 07:25:14.977891759 -0400
+++ new/usr/src/uts/common/io/scsi/targets/sd.c	2015-08-19 07:25:14.984553677 -0400
@@ -6214,7 +6214,7 @@
 	 * SD_WAIT_CMDS_COMPLETE seconds before failing the DDI_SUSPEND.
 	 */
 	wait_cmds_complete = ddi_get_lbolt() +
-	    (sd_wait_cmds_complete * drv_usectohz(1000000));
+	    drv_sectohz(sd_wait_cmds_complete);
 
 	while (un->un_ncmds_in_transport != 0) {
 		/*
@@ -6847,7 +6847,7 @@
 			if (un->un_pm_timeid == NULL) {
 				un->un_pm_timeid =
 				    timeout(sd_pm_timeout_handler,
-				    un, intvlp * drv_usectohz(1000000));
+				    un, drv_sectohz(intvlp));
 				mutex_exit(&un->un_pm_mutex);
 				(void) pm_busy_component(SD_DEVINFO(un), 0);
 			} else {
--- old/usr/src/uts/common/io/scsi/targets/st.c	2015-08-19 07:25:15.918061670 -0400
+++ new/usr/src/uts/common/io/scsi/targets/st.c	2015-08-19 07:25:15.924063521 -0400
@@ -1474,7 +1474,7 @@
 		 */
 		wait_cmds_complete = ddi_get_lbolt();
 		wait_cmds_complete +=
-		    st_wait_cmds_complete * drv_usectohz(1000000);
+		    drv_sectohz(st_wait_cmds_complete);
 		while (un->un_ncmds || un->un_quef ||
 		    (un->un_state == ST_STATE_RESOURCE_WAIT)) {
 
@@ -6495,7 +6495,7 @@
 				scsi_log(ST_DEVINFO, st_label, SCSI_DEBUG,
 				    "Sending delayed start to st_runout()\n");
 				mutex_exit(ST_MUTEX);
-				(void) timeout(fnc, un, drv_usectohz(1000000));
+				(void) timeout(fnc, un, drv_sectohz(1));
 				mutex_enter(ST_MUTEX);
 			}
 			return;
@@ -17616,7 +17616,7 @@
 	do {
 		if (rval != 0) {
 			mutex_exit(ST_MUTEX);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 			mutex_enter(ST_MUTEX);
 		}
 		rval = st_rcmd(un, SCMD_TEST_UNIT_READY, 0, SYNC_CMD);
--- old/usr/src/uts/common/io/sfe/sfe.c	2015-08-19 07:25:16.548507684 -0400
+++ new/usr/src/uts/common/io/sfe/sfe.c	2015-08-19 07:25:16.553869639 -0400
@@ -78,7 +78,7 @@
 /*
  * Useful macros and typedefs
  */
-#define	ONESEC		(drv_usectohz(1*1000000))
+#define	ONESEC		drv_sectohz(1)
 #define	ROUNDUP2(x, a)	(((x) + (a) - 1) & ~((a) - 1))
 
 /*
--- old/usr/src/uts/common/io/sfe/sfe_util.c	2015-08-19 07:25:16.756319258 -0400
+++ new/usr/src/uts/common/io/sfe/sfe_util.c	2015-08-19 07:25:16.762052569 -0400
@@ -4991,7 +4991,7 @@
 		 */
 		dp->intr_watcher_id =
 		    timeout((void (*)(void *))gem_intr_watcher,
-		    (void *)dp, drv_usectohz(3*1000000));
+		    (void *)dp, drv_sectohz(3));
 	}
 
 	/* link this device to dev_info */
@@ -5204,7 +5204,7 @@
 			 */
 			dp->intr_watcher_id =
 			    timeout((void (*)(void *))gem_intr_watcher,
-			    (void *)dp, drv_usectohz(3*1000000));
+			    (void *)dp, drv_sectohz(3));
 		}
 
 		/* restart mii link watcher */
--- old/usr/src/uts/common/io/sfe/sfe_util.h	2015-08-19 07:25:17.035165600 -0400
+++ new/usr/src/uts/common/io/sfe/sfe_util.h	2015-08-19 07:25:17.040751589 -0400
@@ -47,9 +47,9 @@
 
 #define	GEM_NAME_LEN	32
 
-#define	GEM_TX_TIMEOUT		(drv_usectohz(5*1000000))
-#define	GEM_TX_TIMEOUT_INTERVAL	(drv_usectohz(1*1000000))
-#define	GEM_LINK_WATCH_INTERVAL	(drv_usectohz(1*1000000))	/* 1 sec */
+#define	GEM_TX_TIMEOUT		drv_sectohz(5)
+#define	GEM_TX_TIMEOUT_INTERVAL	drv_sectohz(1)
+#define	GEM_LINK_WATCH_INTERVAL	drv_sectohz(1)
 
 /* general return code */
 #define	GEM_SUCCESS	0
--- old/usr/src/uts/common/io/skd/skd.c	2015-08-19 07:25:17.198273433 -0400
+++ new/usr/src/uts/common/io/skd/skd.c	2015-08-19 07:25:17.204141787 -0400
@@ -217,7 +217,7 @@
 	 * drv_usectohz() is a function, so can't initialize it at
 	 * instantiation.
 	 */
-	skd_timer_ticks = drv_usectohz(1000000);
+	skd_timer_ticks = drv_sectohz(1);
 
 	Dcmn_err(CE_NOTE,
 	    "<# Installing skd Driver dbg-lvl=%d %s %x>",
@@ -2893,7 +2893,7 @@
 	mutex_enter(&skdev->skd_internalio_mutex);
 	while (skdev->sync_done == 0) {
 		cur_ticks = ddi_get_lbolt();
-		tmo = cur_ticks + drv_usectohz(1000000 * secs);
+		tmo = cur_ticks + drv_sectohz(secs);
 		if (cv_timedwait(&skdev->cv_waitq,
 		    &skdev->skd_internalio_mutex, tmo) == -1) {
 			/* Oops - timed out */
@@ -4520,7 +4520,7 @@
 
 	while (skdev->gendisk_on == 0) {
 		cur_ticks = ddi_get_lbolt();
-		tmo = cur_ticks + drv_usectohz(MICROSEC);
+		tmo = cur_ticks + drv_sectohz(1);
 		if (cv_timedwait(&skdev->cv_waitq,
 		    &skdev->skd_internalio_mutex, tmo) == -1) {
 			/* Oops - timed out */
--- old/usr/src/uts/common/io/srn.c	2015-08-19 07:25:17.473404862 -0400
+++ new/usr/src/uts/common/io/srn.c	2015-08-19 07:25:17.478631380 -0400
@@ -580,7 +580,7 @@
 			    "event %x\n", clone, event))
 			if (cv_timedwait(&srn_clones_cv[clone],
 			    &srn_clone_lock, ddi_get_lbolt() +
-			    drv_usectohz(srn_timeout * 1000000)) == -1) {
+			    drv_sectohz(srn_timeout)) == -1) {
 				/*
 				 * Client didn't respond, mark it as faulted
 				 * and continue as if a regular signal.
--- old/usr/src/uts/common/io/usb/clients/usbser/usbser.c	2015-08-19 07:25:17.636333645 -0400
+++ new/usr/src/uts/common/io/usb/clients/usbser/usbser.c	2015-08-19 07:25:17.642142563 -0400
@@ -1769,7 +1769,7 @@
 	 * data has been sent over USB. To be continued in the next comment...
 	 */
 	until = ddi_get_lbolt() +
-	    drv_usectohz(USBSER_WQ_DRAIN_TIMEOUT * 1000000);
+	    drv_sectohz(USBSER_WQ_DRAIN_TIMEOUT);
 
 	while ((pp->port_wq_data_cnt > 0) && USBSER_PORT_IS_BUSY(pp)) {
 		if ((rval = cv_timedwait_sig(&pp->port_act_cv, &pp->port_mutex,
--- old/usr/src/uts/common/io/usb/clients/usbser/usbser_keyspan/keyspan_dsd.c	2015-08-19 07:25:17.868720472 -0400
+++ new/usr/src/uts/common/io/usb/clients/usbser/usbser_keyspan/keyspan_dsd.c	2015-08-19 07:25:17.874234579 -0400
@@ -2530,7 +2530,7 @@
 
 	USB_DPRINTF_L4(DPRINT_OUT_DATA, kp->kp_lh, "keyspan_wait_tx_drain:"
 	    "timeout = %d", timeout);
-	until = ddi_get_lbolt() + drv_usectohz(1000000 * timeout);
+	until = ddi_get_lbolt() + drv_sectohz(timeout);
 
 	while (kp->kp_tx_mp && !over) {
 		if (timeout > 0) {
--- old/usr/src/uts/common/io/usb/hcd/ehci/ehci_isoch.c	2015-08-19 07:25:18.097750302 -0400
+++ new/usr/src/uts/common/io/usb/hcd/ehci/ehci_isoch.c	2015-08-19 07:25:18.103365141 -0400
@@ -274,7 +274,7 @@
 	}
 
 	(void) cv_reltimedwait(&pp->pp_xfer_cmpl_cv, &ehcip->ehci_int_mutex,
-	    drv_usectohz(EHCI_XFER_CMPL_TIMEWAIT * 1000000), TR_CLOCK_TICK);
+	    drv_sectohz(EHCI_XFER_CMPL_TIMEWAIT), TR_CLOCK_TICK);
 
 	if (pp->pp_itw_head) {
 		USB_DPRINTF_L2(PRINT_MASK_LISTS, ehcip->ehci_log_hdl,
--- old/usr/src/uts/common/io/usb/hcd/ehci/ehci_xfer.c	2015-08-19 07:25:18.282021218 -0400
+++ new/usr/src/uts/common/io/usb/hcd/ehci/ehci_xfer.c	2015-08-19 07:25:18.287637850 -0400
@@ -3394,7 +3394,7 @@
 	 */
 	if ((!pp->pp_timer_id) && (pp->pp_timeout_list)) {
 		pp->pp_timer_id = timeout(ehci_xfer_timeout_handler,
-		    (void *)(pp->pp_pipe_handle), drv_usectohz(1000000));
+		    (void *)(pp->pp_pipe_handle), drv_sectohz(1));
 	}
 }
 
@@ -3800,7 +3800,7 @@
 	}
 
 	(void) cv_reltimedwait(&pp->pp_xfer_cmpl_cv, &ehcip->ehci_int_mutex,
-	    drv_usectohz(EHCI_XFER_CMPL_TIMEWAIT * 1000000), TR_CLOCK_TICK);
+	    drv_sectohz(EHCI_XFER_CMPL_TIMEWAIT), TR_CLOCK_TICK);
 
 	if (pp->pp_count_done_qtds) {
 
--- old/usr/src/uts/common/io/usb/hcd/openhci/ohci.c	2015-08-19 07:25:18.535590679 -0400
+++ new/usr/src/uts/common/io/usb/hcd/openhci/ohci.c	2015-08-19 07:25:18.541748886 -0400
@@ -1677,7 +1677,7 @@
 	ohcip->ohci_hc_soft_state = OHCI_CTLR_OPERATIONAL_STATE;
 
 	/* Get the number of clock ticks to wait */
-	sof_time_wait = drv_usectohz(OHCI_MAX_SOF_TIMEWAIT * 1000000);
+	sof_time_wait = drv_sectohz(OHCI_MAX_SOF_TIMEWAIT);
 
 	/* Clear ohci_sof_flag indicating waiting for SOF interrupt */
 	ohcip->ohci_sof_flag = B_FALSE;
@@ -7512,7 +7512,7 @@
 	 */
 	if ((!ohcip->ohci_timer_id) && (ohcip->ohci_timeout_list)) {
 		ohcip->ohci_timer_id = timeout(ohci_xfer_timeout_handler,
-		    (void *)ohcip, drv_usectohz(1000000));
+		    (void *)ohcip, drv_sectohz(1));
 	}
 }
 
@@ -9951,7 +9951,7 @@
 	/* Start the global timer */
 	if (xfer_timer_id) {
 		ohcip->ohci_timer_id = timeout(ohci_xfer_timeout_handler,
-		    (void *)ohcip, drv_usectohz(1000000));
+		    (void *)ohcip, drv_sectohz(1));
 	}
 
 	return (USB_SUCCESS);
@@ -10204,7 +10204,7 @@
 	}
 
 	/* Get the number of clock ticks to wait */
-	sof_time_wait = drv_usectohz(OHCI_MAX_SOF_TIMEWAIT * 1000000);
+	sof_time_wait = drv_sectohz(OHCI_MAX_SOF_TIMEWAIT);
 
 	sof_wait_count = 0;
 
@@ -10488,7 +10488,7 @@
 	}
 
 	(void) cv_reltimedwait(&pp->pp_xfer_cmpl_cv, &ohcip->ohci_int_mutex,
-	    drv_usectohz(OHCI_XFER_CMPL_TIMEWAIT * 1000000), TR_CLOCK_TICK);
+	    drv_sectohz(OHCI_XFER_CMPL_TIMEWAIT), TR_CLOCK_TICK);
 
 	if (pp->pp_count_done_tds) {
 
--- old/usr/src/uts/common/io/usb/hcd/uhci/uhci.c	2015-08-19 07:25:18.962879283 -0400
+++ new/usr/src/uts/common/io/usb/hcd/uhci/uhci.c	2015-08-19 07:25:18.968242810 -0400
@@ -420,7 +420,7 @@
 	 * On NCR system,  the driver seen  failure of some commands
 	 * while booting. This delay mysteriously solved the problem.
 	 */
-	delay(drv_usectohz(uhci_attach_wait*1000000));
+	delay(drv_sectohz(uhci_attach_wait));
 #endif
 
 	/*
--- old/usr/src/uts/common/io/usb/scsa2usb/scsa2usb.c	2015-08-19 07:25:19.181632137 -0400
+++ new/usr/src/uts/common/io/usb/scsa2usb/scsa2usb.c	2015-08-19 07:25:19.188237878 -0400
@@ -1319,7 +1319,7 @@
 			break;
 		}
 		mutex_exit(&scsa2usbp->scsa2usb_mutex);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&scsa2usbp->scsa2usb_mutex);
 	}
 	mutex_exit(&scsa2usbp->scsa2usb_mutex);
@@ -5453,7 +5453,7 @@
 			break;
 		}
 		mutex_exit(&scsa2usbp->scsa2usb_mutex);
-		delay(drv_usectohz(1000000));
+		delay(drv_sectohz(1));
 		mutex_enter(&scsa2usbp->scsa2usb_mutex);
 	}
 	mutex_exit(&scsa2usbp->scsa2usb_mutex);
--- old/usr/src/uts/common/io/usb/usba/hubdi.c	2015-08-19 07:25:19.505480548 -0400
+++ new/usr/src/uts/common/io/usb/usba/hubdi.c	2015-08-19 07:25:19.511365268 -0400
@@ -8605,7 +8605,7 @@
 static int
 hubd_wait_for_hotplug_exit(hubd_t *hubd)
 {
-	clock_t		until = drv_usectohz(1000000);
+	clock_t		until = drv_sectohz(1);
 	int		rval;
 
 	ASSERT(mutex_owned(HUBD_MUTEX(hubd)));
@@ -8754,7 +8754,7 @@
 				if (rval == USB_SUCCESS)
 					break;
 
-				delay(drv_usectohz(1000000)); /* 1s */
+				delay(drv_sectohz(1));
 			}
 		}
 
--- old/usr/src/uts/common/io/vioblk/vioblk.c	2015-08-19 07:25:19.866170348 -0400
+++ new/usr/src/uts/common/io/vioblk/vioblk.c	2015-08-19 07:25:19.871770952 -0400
@@ -462,7 +462,7 @@
 	int ret;
 	bd_xfer_t xfer;
 
-	deadline = ddi_get_lbolt() + (clock_t)drv_usectohz(3 * 1000000);
+	deadline = ddi_get_lbolt() + drv_sectohz(3);
 	(void) memset(&xfer, 0, sizeof (bd_xfer_t));
 	xfer.x_nblks = 1;
 
--- old/usr/src/uts/common/io/xge/drv/xgell.h	2015-08-19 07:25:20.043728880 -0400
+++ new/usr/src/uts/common/io/xge/drv/xgell.h	2015-08-19 07:25:20.049212153 -0400
@@ -145,7 +145,7 @@
 #define	XGELL_RX_PKT_BURST			32
 
 /* About 1s */
-#define	XGE_DEV_POLL_TICKS			drv_usectohz(1000000)
+#define	XGE_DEV_POLL_TICKS			drv_sectohz(1)
 
 #define	XGELL_LSO_MAXLEN			65535
 #define	XGELL_CONF_ENABLE_BY_DEFAULT		1
--- old/usr/src/uts/common/os/ddi.c	2015-08-19 07:25:20.205804913 -0400
+++ new/usr/src/uts/common/os/ddi.c	2015-08-19 07:25:20.211374198 -0400
@@ -26,6 +26,9 @@
  * Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
  */
+/*
+ * Copyright 2015 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
+ */
 
 /*
  * UNIX Device Driver Interface functions
@@ -462,6 +465,21 @@
 	return (USEC_TO_TICK_ROUNDUP(microsecs));
 }
 
+/*
+ * Convert from seconds to system time units (hz).
+ *
+ * If secs <= 0, return 0.
+ * Otherwise, convert seconds to ticks, rounding up.
+ */
+clock_t
+drv_sectohz(clock_t secs)
+{
+	if (secs <= 0)
+		return (0);
+
+	return (SEC_TO_TICK(secs));
+}
+
 #ifdef	sun
 /*
  * drv_usecwait implemented in each architecture's machine
--- old/usr/src/uts/common/os/ddi_intr_irm.c	2015-08-19 07:25:20.386522360 -0400
+++ new/usr/src/uts/common/os/ddi_intr_irm.c	2015-08-19 07:25:20.392317150 -0400
@@ -853,7 +853,7 @@
 	for (;;) {
 
 		/* Compute the delay interval */
-		interval = drv_usectohz(irm_balance_delay * 1000000);
+		interval = drv_sectohz(irm_balance_delay);
 
 		/* Wait one interval, or until there are waiters */
 		if ((interval > 0) &&
--- old/usr/src/uts/common/os/devcache.c	2015-08-19 07:25:20.571286585 -0400
+++ new/usr/src/uts/common/os/devcache.c	2015-08-19 07:25:20.577237283 -0400
@@ -176,7 +176,7 @@
 #define	NVPFLUSH_DELAY		10
 #define	NVPDAEMON_IDLE_TIME	60
 
-#define	TICKS_PER_SECOND	(drv_usectohz(1000000))
+#define	TICKS_PER_SECOND	drv_sectohz(1)
 
 /*
  * Tunables
--- old/usr/src/uts/common/os/devcfg.c	2015-08-19 07:25:20.749255787 -0400
+++ new/usr/src/uts/common/os/devcfg.c	2015-08-19 07:25:20.755227957 -0400
@@ -4304,7 +4304,7 @@
 
 		/* do a sleeping wait for one second */
 		ASSERT(!servicing_interrupt());
-		delay(drv_usectohz(MICROSEC));
+		delay(drv_sectohz(1));
 	}
 }
 
--- old/usr/src/uts/common/os/devid_cache.c	2015-08-19 07:25:21.122259587 -0400
+++ new/usr/src/uts/common/os/devid_cache.c	2015-08-19 07:25:21.127654723 -0400
@@ -369,7 +369,7 @@
 		}
 		if (devid_discovery_secs > 0) {
 			if ((ddi_get_lbolt() - devid_last_discovery) >
-			    drv_usectohz(devid_discovery_secs * MICROSEC)) {
+			    drv_sectohz(devid_discovery_secs)) {
 				return (1);
 			}
 		}
--- old/usr/src/uts/common/os/modctl.c	2015-08-19 07:25:21.297330924 -0400
+++ new/usr/src/uts/common/os/modctl.c	2015-08-19 07:25:21.303147675 -0400
@@ -3922,7 +3922,7 @@
 		 * the default for a non-DEBUG kernel.
 		 */
 		if (mod_uninstall_interval) {
-			ticks = drv_usectohz(mod_uninstall_interval * 1000000);
+			ticks = drv_sectohz(mod_uninstall_interval);
 			(void) cv_reltimedwait(&mod_uninstall_cv,
 			    &mod_uninstall_lock, ticks, TR_CLOCK_TICK);
 		} else {
--- old/usr/src/uts/common/os/sunmdi.c	2015-08-19 07:25:21.561030330 -0400
+++ new/usr/src/uts/common/os/sunmdi.c	2015-08-19 07:25:21.566746511 -0400
@@ -116,7 +116,7 @@
 taskq_t				*mdi_taskq;
 static uint_t			mdi_taskq_n_threads = MDI_TASKQ_N_THREADS;
 
-#define	TICKS_PER_SECOND	(drv_usectohz(1000000))
+#define	TICKS_PER_SECOND	drv_sectohz(1)
 
 /*
  * The data should be "quiet" for this interval (in seconds) before the
@@ -3200,7 +3200,7 @@
 		    MDI_PI(pip)->pi_ref_cnt,
 		    mdi_pi_spathname(pip), (void *)pip));
 		if (cv_reltimedwait(&MDI_PI(pip)->pi_ref_cv,
-		    &MDI_PI(pip)->pi_mutex, drv_usectohz(60 * 1000000),
+		    &MDI_PI(pip)->pi_mutex, drv_sectohz(60),
 		    TR_CLOCK_TICK) == -1) {
 			/*
 			 * The timeout time reached without ref_cnt being zero
@@ -3866,7 +3866,7 @@
 		    MDI_PI(pip)->pi_ref_cnt, mdi_pi_spathname(pip),
 		    (void *)pip));
 		if (cv_reltimedwait(&MDI_PI(pip)->pi_ref_cv,
-		    &MDI_PI(pip)->pi_mutex, drv_usectohz(60 * 1000000),
+		    &MDI_PI(pip)->pi_mutex, drv_sectohz(60),
 		    TR_CLOCK_TICK) == -1) {
 			/*
 			 * The timeout time reached without ref_cnt being zero
--- old/usr/src/uts/common/rpc/clnt_cots.c	2015-08-19 07:25:21.948063552 -0400
+++ new/usr/src/uts/common/rpc/clnt_cots.c	2015-08-19 07:25:21.953427154 -0400
@@ -987,7 +987,7 @@
 			break;
 		}
 		if (delay_first == TRUE)
-			ticks = clnt_cots_min_tout * drv_usectohz(1000000);
+			ticks = drv_sectohz(clnt_cots_min_tout);
 		goto cots_done;
 	}
 
@@ -1119,7 +1119,7 @@
 		    ZONE_IS_SHUTTING_DOWN)) {
 
 			/* wait 1 sec for queue to drain */
-			if (clnt_delay(drv_usectohz(1000000),
+			if (clnt_delay(drv_sectohz(1),
 			    h->cl_nosignal) == EINTR) {
 				p->cku_err.re_errno = EINTR;
 				p->cku_err.re_status = RPC_INTR;
@@ -1183,7 +1183,7 @@
 			lwp->lwp_nostop++;
 
 		oldlbolt = ddi_get_lbolt();
-		timout = wait.tv_sec * drv_usectohz(1000000) +
+		timout = drv_sectohz(wait.tv_sec) +
 		    drv_usectohz(wait.tv_usec) + oldlbolt;
 		/*
 		 * Iterate until the call_status is changed to something
@@ -1232,8 +1232,7 @@
 				clock_t diff;
 
 				curlbolt = ddi_get_lbolt();
-				ticks = clnt_cots_min_tout *
-				    drv_usectohz(1000000);
+				ticks = drv_sectohz(clnt_cots_min_tout);
 				diff = curlbolt - oldlbolt;
 				if (diff < ticks) {
 					delay_first = TRUE;
@@ -1715,7 +1714,7 @@
 	 * until there is a state change on the connection.
 	 */
 
-	timout = waitp->tv_sec * drv_usectohz(1000000) +
+	timout = drv_sectohz(waitp->tv_sec) +
 	    drv_usectohz(waitp->tv_usec) + ddi_get_lbolt();
 
 	if (nosignal) {
@@ -2353,7 +2352,7 @@
 			cm_entry->x_needrel = FALSE;
 
 			connmgr_sndrel(cm_entry);
-			delay(drv_usectohz(1000000));
+			delay(drv_sectohz(1));
 
 			mutex_enter(&connmgr_lock);
 		}
@@ -2469,7 +2468,7 @@
 			    "T_DISCON_REQ's ACK for connection %p\n",
 			    (void *)cm_entry);
 
-			timout = clnt_cots_min_conntout * drv_usectohz(1000000);
+			timout = drv_sectohz(clnt_cots_min_conntout);
 
 			/*
 			 * The TPI spec says that the T_DISCON_REQ
@@ -3708,7 +3707,7 @@
 	ASSERT(MUTEX_HELD(&clnt_pending_lock));
 	while (e->call_reply == NULL) {
 		if (waitp != NULL) {
-			timout = waitp->tv_sec * drv_usectohz(MICROSEC) +
+			timout = drv_sectohz(waitp->tv_sec) +
 			    drv_usectohz(waitp->tv_usec);
 			if (nosignal)
 				cv_stat = cv_reltimedwait(&e->call_cv,
--- old/usr/src/uts/common/rpc/clnt_rdma.c	2015-08-19 07:25:22.203624575 -0400
+++ new/usr/src/uts/common/rpc/clnt_rdma.c	2015-08-19 07:25:22.209050678 -0400
@@ -637,7 +637,7 @@
 		rw_exit(&rdma_lock);
 		p->cku_err.re_status = RPC_CANTSEND;
 		p->cku_err.re_errno = EIO;
-		ticks = clnt_rdma_min_delay * drv_usectohz(1000000);
+		ticks = drv_sectohz(clnt_rdma_min_delay);
 		if (h->cl_nosignal == TRUE) {
 			delay(ticks);
 		} else {
@@ -693,7 +693,7 @@
 			 * down or temporary resource failure. Delay before
 			 * returning to caller.
 			 */
-			ticks = clnt_rdma_min_delay * drv_usectohz(1000000);
+			ticks = drv_sectohz(clnt_rdma_min_delay);
 			p->cku_err.re_status = RPC_CANTCONNECT;
 			p->cku_err.re_errno = EIO;
 
--- old/usr/src/uts/common/rpc/rpcib.c	2015-08-19 07:25:22.387030987 -0400
+++ new/usr/src/uts/common/rpc/rpcib.c	2015-08-19 07:25:22.393032770 -0400
@@ -2187,7 +2187,7 @@
 	ASSERT(wd != NULL);
 	mutex_enter(&wd->sendwait_lock);
 	if (wd->status == (uint_t)SEND_WAIT) {
-		timout = drv_usectohz(SEND_WAIT_TIME * 1000000) +
+		timout = drv_sectohz(SEND_WAIT_TIME) +
 		    ddi_get_lbolt();
 
 		if (qp->mode == RIB_SERVER) {
@@ -2438,7 +2438,7 @@
 		 * Wait for RDMA_DONE from remote end
 		 */
 		cv_wait_ret = cv_reltimedwait(&rd->rdma_done_cv,
-		    &qp->rdlist_lock, drv_usectohz(REPLY_WAIT_TIME * 1000000),
+		    &qp->rdlist_lock, drv_sectohz(REPLY_WAIT_TIME),
 		    TR_CLOCK_TICK);
 
 		rdma_done_rm(qp, rd);
@@ -2686,7 +2686,7 @@
 		 */
 		if (rep->status == (uint_t)REPLY_WAIT) {
 			timout = ddi_get_lbolt() +
-			    drv_usectohz(REPLY_WAIT_TIME * 1000000);
+			    drv_sectohz(REPLY_WAIT_TIME);
 
 			while ((cv_wait_ret = cv_timedwait_sig(&rep->wait_cv,
 			    &qp->replylist_lock, timout)) > 0 &&
@@ -4281,7 +4281,7 @@
 				 */
 				cn->c_ref++;
 				timout =  ddi_get_lbolt() +
-				    drv_usectohz(CONN_WAIT_TIME * 1000000);
+				    drv_sectohz(CONN_WAIT_TIME);
 				while ((cv_stat = cv_timedwait_sig(&cn->c_cv,
 				    &cn->c_lock, timout)) > 0 &&
 				    cn->c_state == C_CONN_PEND)
--- old/usr/src/uts/common/rpc/sec_gss/rpcsec_gss.c	2015-08-19 07:25:22.673033951 -0400
+++ new/usr/src/uts/common/rpc/sec_gss/rpcsec_gss.c	2015-08-19 07:25:22.678458738 -0400
@@ -655,7 +655,7 @@
 				if (isrefresh &&
 				    call_res.gss_major == GSS_S_FAILURE) {
 
-					clock_t one_sec = drv_usectohz(1000000);
+					clock_t one_sec = drv_sectohz(1);
 
 					rpcsec_retry--;
 
--- old/usr/src/uts/common/sys/bscv_impl.h	2015-08-19 07:25:22.860560290 -0400
+++ new/usr/src/uts/common/sys/bscv_impl.h	2015-08-19 07:25:22.866012178 -0400
@@ -334,8 +334,8 @@
 #define	BSC_IMAGE_MAX_SIZE (0x20000 + sizeof (lom_prog_data_t))
 
 #define	BSC_PROBE_FAULT_LIMIT	8	/* Tries before declaring lom dead */
-#define	BSC_EVENT_POLL_NORMAL	(drv_usectohz(1000000))		/* 1 second */
-#define	BSC_EVENT_POLL_FAULTY	(drv_usectohz(10000000))	/* 10 second */
+#define	BSC_EVENT_POLL_NORMAL	drv_sectohz(1)
+#define	BSC_EVENT_POLL_FAULTY	drv_sectohz(10)
 
 #define	BSC_FAILURE_RETRY_LIMIT	5	/* Access retries before giving up */
 #define	BSC_ERASE_RETRY_LIMIT	5	/* Erase retries */
--- old/usr/src/uts/common/sys/ddi.h	2015-08-19 07:25:23.019258161 -0400
+++ new/usr/src/uts/common/sys/ddi.h	2015-08-19 07:25:23.024914843 -0400
@@ -21,6 +21,7 @@
  */
 /*
  * Copyright 2014 Garrett D'Amore <garrett@damore.org>
+ * Copyright 2015 Josef 'Jeff' Sipek <jeffpc@josefsipek.net>
  *
  * Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
  * Use is subject to license terms.
@@ -85,6 +86,7 @@
 extern void drv_usecwait(clock_t);
 extern clock_t drv_hztousec(clock_t);
 extern clock_t drv_usectohz(clock_t);
+extern clock_t drv_sectohz(clock_t);
 extern void delay(clock_t);
 extern void time_to_wait(clock_t *, clock_t);
 
--- old/usr/src/uts/common/sys/dktp/dadk.h	2015-08-19 07:25:23.176336234 -0400
+++ new/usr/src/uts/common/sys/dktp/dadk.h	2015-08-19 07:25:23.181781725 -0400
@@ -76,7 +76,7 @@
 /*
  * Parameters
  */
-#define	DADK_BSY_TIMEOUT	(drv_usectohz(5 * 1000000))
+#define	DADK_BSY_TIMEOUT	drv_sectohz(5)
 #define	DADK_IO_TIME		35
 #define	DADK_FLUSH_CACHE_TIME	60
 #define	DADK_RETRY_COUNT	5
--- old/usr/src/uts/common/sys/fcoe/fcoe_common.h	2015-08-19 07:25:23.330968683 -0400
+++ new/usr/src/uts/common/sys/fcoe/fcoe_common.h	2015-08-19 07:25:23.336271692 -0400
@@ -372,7 +372,7 @@
  * timestamp (golbal variable in sys/systm.h)
  */
 #define	CURRENT_CLOCK		(ddi_get_lbolt())
-#define	FCOE_SEC2TICK(x_sec)	(drv_usectohz((x_sec) * 1000000))
+#define	FCOE_SEC2TICK(x_sec)	drv_sectohz(x_sec)
 
 /*
  * Form/convert mod_hash_key from/to xch ID
--- old/usr/src/uts/common/sys/fibre-channel/fca/qlge/qlge.h	2015-08-19 07:25:23.492646871 -0400
+++ new/usr/src/uts/common/sys/fibre-channel/fca/qlge/qlge.h	2015-08-19 07:25:23.498168368 -0400
@@ -153,7 +153,7 @@
 
 /* Timeout timer counts in seconds (must greater than 1 second). */
 #define	USEC_PER_TICK		drv_hztousec(1)
-#define	TICKS_PER_SEC		drv_usectohz(1000000)
+#define	TICKS_PER_SEC		drv_sectohz(1)
 #define	QL_ONE_SEC_DELAY	1000000
 #define	QL_ONE_MSEC_DELAY	1000
 #define	TX_TIMEOUT		3*TICKS_PER_SEC
--- old/usr/src/uts/common/sys/ib/mgt/ibdm/ibdm_impl.h	2015-08-19 07:25:23.669016389 -0400
+++ new/usr/src/uts/common/sys/ib/mgt/ibdm/ibdm_impl.h	2015-08-19 07:25:23.675055798 -0400
@@ -335,7 +335,7 @@
 	void *callback_arg;
 } ibdm_saa_event_arg_t;
 
-#define	IBDM_TIMEOUT_VALUE(t)	(drv_usectohz(t * 1000000))
+#define	IBDM_TIMEOUT_VALUE(t)	drv_sectohz(t)
 
 #define	IBDM_OUT_IBMFMSG_MADHDR(msg)\
 		(msg->im_msgbufs_send.im_bufs_mad_hdr)
--- old/usr/src/uts/common/sys/scsi/targets/sddef.h	2015-08-19 07:25:23.829152216 -0400
+++ new/usr/src/uts/common/sys/scsi/targets/sddef.h	2015-08-19 07:25:23.834902130 -0400
@@ -1136,7 +1136,6 @@
  * Miscellaneous macros
  */
 
-#define	SD_USECTOHZ(x)			(drv_usectohz((x)*1000000))
 #define	SD_GET_PKT_STATUS(pktp)		((*(pktp)->pkt_scbp) & STATUS_MASK)
 
 #define	SD_BIOERROR(bp, errcode)					\
@@ -1316,11 +1315,10 @@
 #define	SD_THROTTLE_TRAN_BUSY		0
 #define	SD_THROTTLE_QFULL		1
 
-#define	SD_THROTTLE_RESET_INTERVAL	\
-	(sd_reset_throttle_timeout * drv_usectohz(1000000))
+#define	SD_THROTTLE_RESET_INTERVAL	drv_sectohz(sd_reset_throttle_timeout)
 
 #define	SD_QFULL_THROTTLE_RESET_INTERVAL	\
-	(sd_qfull_throttle_timeout * drv_usectohz(1000000))
+	drv_sectohz(sd_qfull_throttle_timeout)
 
 
 /*
@@ -1716,7 +1714,7 @@
 /*
  * 5 seconds is what we'll wait if we get a Busy Status back
  */
-#define	SD_BSY_TIMEOUT			(drv_usectohz(5 * 1000000))
+#define	SD_BSY_TIMEOUT			drv_sectohz(5)
 
 /*
  * 100 msec. is what we'll wait if we get Unit Attention.
@@ -1731,7 +1729,7 @@
 /*
  * 10s misaligned I/O warning message interval
  */
-#define	SD_RMW_MSG_PRINT_TIMEOUT	(drv_usectohz((clock_t)10000000))
+#define	SD_RMW_MSG_PRINT_TIMEOUT	drv_sectohz(10)
 
 /*
  * 100 msec. is what we'll wait for certain retries for fibre channel
--- old/usr/src/uts/common/sys/scsi/targets/sgendef.h	2015-08-19 07:25:24.042167741 -0400
+++ new/usr/src/uts/common/sys/scsi/targets/sgendef.h	2015-08-19 07:25:24.047530035 -0400
@@ -156,7 +156,7 @@
 /*
  * Time to wait before a retry for commands returning Busy Status
  */
-#define	SGEN_BSY_TIMEOUT	(drv_usectohz(5 * 1000000))
+#define	SGEN_BSY_TIMEOUT	drv_sectohz(5)
 #define	SGEN_IO_TIME		60		/* seconds */
 
 /*
--- old/usr/src/uts/common/sys/stmf.h	2015-08-19 07:25:24.224480135 -0400
+++ new/usr/src/uts/common/sys/stmf.h	2015-08-19 07:25:24.230567851 -0400
@@ -355,7 +355,7 @@
 /*
  * Common macros to simplify coding
  */
-#define	STMF_SEC2TICK(x_sec)	(drv_usectohz((x_sec) * 1000000))
+#define	STMF_SEC2TICK(x_sec)	drv_sectohz(x_sec)
 
 void stmf_trace(caddr_t ident, const char *fmt, ...);
 void *stmf_alloc(stmf_struct_id_t sid, int additional_size, int alloc_flags);
--- old/usr/src/uts/common/sys/usb/clients/audio/usb_ac/usb_ac.h	2015-08-19 07:25:24.397709232 -0400
+++ new/usr/src/uts/common/sys/usb/clients/audio/usb_ac/usb_ac.h	2015-08-19 07:25:24.403659121 -0400
@@ -322,7 +322,7 @@
 /*
  * delay before restoring state
  */
-#define	USB_AC_RESTORE_DELAY		drv_usectohz(1000000)
+#define	USB_AC_RESTORE_DELAY		drv_sectohz(1)
 
 /* value for acp_driver */
 #define	USB_AS_PLUMBED	1
--- old/usr/src/uts/common/sys/usb/hcd/uhci/uhcid.h	2015-08-19 07:25:24.557842358 -0400
+++ new/usr/src/uts/common/sys/usb/hcd/uhci/uhcid.h	2015-08-19 07:25:24.563288591 -0400
@@ -79,7 +79,7 @@
 #define	PCI_CONF_IOBASE		0x20
 #define	PCI_CONF_IOBASE_MASK	0xffe0
 
-#define	UHCI_ONE_SECOND		drv_usectohz(1000000)
+#define	UHCI_ONE_SECOND		drv_sectohz(1)
 #define	UHCI_ONE_MS		drv_usectohz(1000)
 #define	UHCI_32_MS		drv_usectohz(32*1000)
 #define	UHCI_256_MS		drv_usectohz(256*1000)
--- old/usr/src/uts/i86pc/i86hvm/io/xpv/xpv_support.c	2015-08-19 07:25:24.722326422 -0400
+++ new/usr/src/uts/i86pc/i86hvm/io/xpv/xpv_support.c	2015-08-19 07:25:24.727954228 -0400
@@ -600,7 +600,7 @@
 	psignal(initpp, SIGPWR);
 
 	(void) timeout(xen_dirty_shutdown, arg,
-	    SHUTDOWN_TIMEOUT_SECS * drv_usectohz(MICROSEC));
+	    drv_sectohz(SHUTDOWN_TIMEOUT_SECS));
 }
 
 /*ARGSUSED*/
--- old/usr/src/uts/i86pc/io/tzmon/tzmon.c	2015-08-19 07:25:24.893272768 -0400
+++ new/usr/src/uts/i86pc/io/tzmon/tzmon.c	2015-08-19 07:25:24.898738503 -0400
@@ -588,7 +588,7 @@
 
 		/* Go back to sleep */
 		mutex_enter(&tzp->lock);
-		ticks = drv_usectohz(tzp->polling_period * 1000000);
+		ticks = drv_sectohz(tzp->polling_period);
 		if (ticks > 0)
 			(void) cv_reltimedwait(&zone_list_condvar,
 			    &tzp->lock, ticks, TR_CLOCK_TICK);
